/* $Id: weaponhook.hpp,v 1.7 2005/06/28 13:55:25 chfreund Exp $ */

#ifndef _WEAPONHOOK_HPP_
#define _WEAPONHOOK_HPP_

#include "weapon.hpp"
#include "hook.hpp"
#include "audio.hpp"

class WeaponHook : public Weapon {
	public:
		WeaponHook() {
			m_ID          = WEAPON_HOOK;
			m_maximumAmmo =   3;
			m_reloadTime  =  20;
			m_chargeTime  = 100;
			rechargeNow();
			m_shotSample = Audio::getInstance()->loadSound( "sound/weapons/hook/shoot.wav" );
			Hook::m_attachSample = Audio::getInstance()->loadSound( "sound/weapons/hook/hit.wav" );
			Hook::m_damageSample = Audio::getInstance()->loadSound( "sound/effects/ricochet.wav" );
		}

		virtual bool reallyShoot( World* world, Avatar* avatar,
		                          const StationaryGun* gun = NULL ) const ;
};

#endif // _WEAPONMISSILE_HPP_
